Sandbox-commits
Threads by month
- ----- 2026 -----
- June
- May
- April
- March
- February
- January
- ----- 2025 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2024 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2023 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2022 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2021 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2020 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2019 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2018 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2017 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2016 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2015 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2014 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2013 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2012 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2011 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2010 -----
- December
- November
- October
- September
- August
- July
- June
- May
- April
- March
- February
- January
- ----- 2009 -----
- December
- November
- October
- September
- August
August 2009
- 1 participants
- 4 discussions
Author: tchemit
Date: 2009-08-23 17:30:21 +0200 (Sun, 23 Aug 2009)
New Revision: 17
Added:
migration-thirdparty/bin/deploy-third-reloc.sh
migration-thirdparty/bin/generate-third-poms-reloc.sh
Modified:
migration-thirdparty/
migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh
migration-thirdparty/bin/build-nuiton-modify-projects.list.sh
migration-thirdparty/bin/build-third-translations-list.sh
migration-thirdparty/bin/build-third-translations-migrate-list.sh
migration-thirdparty/bin/generate-third-poms.sh
migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh
Log:
add relocation step
Property changes on: migration-thirdparty
___________________________________________________________________
Modified: svn:ignore
- vFile.tmp
order
projectorder
target
*.list
repo*
svn*
resolv*
poms*
+ vFile.tmp
order
projectorder
target
*.list
repo*
svn*
resolv*
poms*
poms2*
*.pom
Modified: migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh
===================================================================
--- migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh 2009-08-20 00:50:45 UTC (rev 16)
+++ migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -6,11 +6,11 @@
d=$(pwd)
for pom in $(cat nuiton-modify-projects.list) ; do
- name=$($d/bin/get-project-type.sh $pom)
- grep $name nuiton-modify-projects-type.list 1>/dev/null
+ type=$($d/bin/get-project-type.sh $pom)
+ grep $type nuiton-modify-projects-type.list 1>/dev/null
if [ $? -gt 0 ] ; then
-# echo "add $name" ;
- echo "$name" >> nuiton-modify-projects-type.list ;
+# echo "add $type" ;
+ echo "$type" >> nuiton-modify-projects-type.list ;
fi ;
done
sort -d nuiton-modify-projects-type.list > nuiton-modify-projects-type.list2
Modified: migration-thirdparty/bin/build-nuiton-modify-projects.list.sh
===================================================================
--- migration-thirdparty/bin/build-nuiton-modify-projects.list.sh 2009-08-20 00:50:45 UTC (rev 16)
+++ migration-thirdparty/bin/build-nuiton-modify-projects.list.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -2,29 +2,44 @@
rm -fr nuiton-modify-projects.list
touch nuiton-modify-projects.list
+d=$(pwd)
for pom in $(cat nuiton-modify-poms.list) ; do
-parent=$(dirname $pom) ;
-parent=$(dirname $parent) ;
-parentpom="$parent/pom.xml" ;
-if [ -e $parentpom ] ; then
+ parent=$(dirname $pom) ;
+ parent=$(dirname $parent) ;
+ parentpom="$parent/pom.xml" ;
+ realpom=""
+ if [ -e $parentpom ] ; then
# echo "[$pom] - parent $parentpom" ;
- grep $parentpom nuiton-modify-projects.list 1>/dev/null ;
- if [ $? -gt 0 ] ; then
-# echo "add parent pom $parentpom" ;
- echo "$parentpom" >> nuiton-modify-projects.list ;
- fi ;
-else
-# echo "[$pom] - standalone" ;
- grep $pom nuiton-modify-projects.list 1>/dev/null ;
- if [ $? -gt 0 ] ; then
-# echo "add standalone pom $pom" ;
- echo "$pom" >> nuiton-modify-projects.list ;
- fi ;
-fi ;
+ realpom=$parentpom
+ else
+ realpom=$pom
+# echo "[$pom] - standalone" ;
+ fi ;
+
+ grep $realpom nuiton-modify-projects.list 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi
+ echo "$realpom" | grep -e "trunk" 1>/dev/null
+ # pom non encore enregistrés
+ if [ $? -eq 0 ] ; then
+ echo "$realpom" >> nuiton-modify-projects.list
+ else
+ # on verifique que la version est deployee
+ version=$($d/bin/get-pom-version.sh $realpom)
+ type=$($d/bin/get-project-type.sh $realpom)
+ groupId="org/nuiton"
+ url="http://maven.nuiton.org/release/$groupId/$type/$version/$type-$version.pom"
+ wget $url -o - 1>/dev/null
+ if [ $? -eq 0 ] ; then
+ # l'url a bien ete trouvee
+ echo "$realpom" >> nuiton-modify-projects.list
+ else
+ echo "$url not found on nuiton, will skip $realpom"
+ fi
+ fi
done
sort -d nuiton-modify-projects.list > nuiton-modify-projects.list2
mv nuiton-modify-projects.list2 nuiton-modify-projects.list
-cat nuiton-modify-projects.list
+#cat nuiton-modify-projects.list
Modified: migration-thirdparty/bin/build-third-translations-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-list.sh 2009-08-20 00:50:45 UTC (rev 16)
+++ migration-thirdparty/bin/build-third-translations-list.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -1,6 +1,6 @@
#!/bin/sh
cat << EOF > third-translations.list
-asm/asm/1.5.3:org.nuiton.thirdparty/asm/1.5.4-SNAPSHOT
+asm/asm/1.5.3:org.nuiton.thirdparty/asm/1.5.4-snapshot
asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty/asm-attrs/1.5.4-snapshot
asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty/asm-util/1.5.4-snapshot
externallib/jGuard-j2ee/0.7.2:org.nuiton.thirdparty/jGuard-j2ee/0.7.2
Modified: migration-thirdparty/bin/build-third-translations-migrate-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-migrate-list.sh 2009-08-20 00:50:45 UTC (rev 16)
+++ migration-thirdparty/bin/build-third-translations-migrate-list.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -20,9 +20,9 @@
if [ $? -eq 0 ] ; then continue ; fi ;
echo "$i" >> third-translations-migrate.list ;
done
-echo "asm/asm/1.5.4-snapshot:org.nuiton.thirdparty/asm/1.5.4-SNAPSHOT" >> third-translations-migrate.list
-echo "asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty/asm-attrs/1.5.4-SNAPSHOT" >> third-translations-migrate.list
-echo "asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty/asm-util/1.5.4-SNAPSHOT" >> third-translations-migrate.list
+echo "asm/asm/1.5.4-snapshot:org.nuiton.thirdparty/asm/1.5.4-snapshot" >> third-translations-migrate.list
+echo "asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty/asm-attrs/1.5.4-snapshot" >> third-translations-migrate.list
+echo "asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty/asm-util/1.5.4-snapshot" >> third-translations-migrate.list
sort -d third-translations-migrate.list > third-translations-migrate.list2
mv third-translations-migrate.list2 third-translations-migrate.list
Added: migration-thirdparty/bin/deploy-third-reloc.sh
===================================================================
--- migration-thirdparty/bin/deploy-third-reloc.sh (rev 0)
+++ migration-thirdparty/bin/deploy-third-reloc.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+options="-DupdateReleaseInfo -Durl=scpexe://nuiton.org/var/lib/maven/release -DrepositoryId=nuiton"
+
+for i in $(cat third-translations-migrate.list) ; do
+ in=$(echo $i | cut -d':' -f1)
+ out=$(echo $i | cut -d':' -f2)
+ g=$(echo $in | cut -d'/' -f1)
+ a=$(echo $in | cut -d'/' -f2)
+ v=$(echo $in | cut -d'/' -f3)
+ g2=$(echo $out | cut -d'/' -f1)
+ a2=$(echo $out | cut -d'/' -f2)
+ v2=$(echo $out | cut -d'/' -f3)
+ parent="repository/${g//.//}/$a/$v"
+ pom="poms2/$a-pom.xml"
+ jar="$a-$v.jar"
+ sources="$a-$v-sources.jar"
+ javadoc="$a-$v-javadoc.jar"
+ echo "$g:$a:$v --> adding relocation infos"
+ echo -n " - deploy $jar ..."
+ mvn deploy:deploy-file -DpomFile=$pom $options -Dfile=$parent/$jar 1>/tmp/maven-deploy.log
+ if [ $? -eq 0 ] ; then
+ echo "OK"
+ else
+ echo "KO"
+ cat /tmp/maven-deploy.log
+ exit 1
+ fi
+ if [ -e $parent/$sources ] ; then
+ echo -n " - deploy sources $sources ..."
+ mvn deploy:deploy-file -DpomFile=$pom -Dclassifier=sources $options -Dfile=$parent/$sources 1>/tmp/maven-deploy.log
+ if [ $? -eq 0 ] ; then
+ echo "OK"
+ else
+ echo "KO"
+ cat /tmp/maven-deploy.log
+ exit 1
+ fi
+ else
+ echo " - no sources to deploy"
+ fi
+ if [ -e $parent/$javadoc ] ; then
+ echo -n " - deploy javadoc $javadoc ..."
+ mvn deploy:deploy-file -DpomFile=$pom -Dclassifier=javadoc $options -Dfile=$parent/$javadoc 1>/tmp/maven-deploy.log
+ if [ $? -eq 0 ] ; then
+ echo "OK"
+ else
+ echo "KO"
+ cat /tmp/maven-deploy.log
+ exit 1
+ fi
+ else
+ echo " - no javadoc to deploy"
+ fi ;
+ echo ""
+done
+
+
Property changes on: migration-thirdparty/bin/deploy-third-reloc.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/generate-third-poms-reloc.sh
===================================================================
--- migration-thirdparty/bin/generate-third-poms-reloc.sh (rev 0)
+++ migration-thirdparty/bin/generate-third-poms-reloc.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+rm -rf poms2
+mkdir poms2
+for i in $(cat third-translations-migrate.list) ; do
+ in=$(echo $i | cut -d':' -f1) ;
+ out=$(echo $i | cut -d':' -f2) ;
+ g=$(echo $in | cut -d'/' -f1) ;
+ a=$(echo $in | cut -d'/' -f2) ;
+ v=$(echo $in | cut -d'/' -f3) ;
+ g2=$(echo $out | cut -d'/' -f1) ;
+ a2=$(echo $out | cut -d'/' -f2) ;
+ v2=$(echo $out | cut -d'/' -f3) ;
+ parent="repository/${g//.//}/$a/$v" ;
+ originalPom="$parent/$a-$v.pom"
+ pom="poms2/$a-pom.xml"
+ jar="$parent/$a-$v.jar"
+ echo "$g:$a:$v --> $g2:$a2:$v2" ;
+ if [ -e $originalPom ] ; then
+ echo " - copy existing pom $originalPom " ;
+ cp $originalPom "poms2/$a-pom-orgi.xml" ;
+ fi ;
+ echo " - generate pom : $pom" ;
+ cat << EOF > $pom
+<?xml version="1.0" encoding="UTF-8"?><project>
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>$g</groupId>
+ <artifactId>$a</artifactId>
+ <version>$v</version>
+ <distributionManagement>
+ <relocation>
+ <groupId>$g2</groupId>
+ <version>$v2</version>
+ </relocation>
+ </distributionManagement>
+
+</project>
+EOF
+ echo "" ;
+done
+
+
Property changes on: migration-thirdparty/bin/generate-third-poms-reloc.sh
___________________________________________________________________
Added: svn:executable
+ *
Modified: migration-thirdparty/bin/generate-third-poms.sh
===================================================================
--- migration-thirdparty/bin/generate-third-poms.sh 2009-08-20 00:50:45 UTC (rev 16)
+++ migration-thirdparty/bin/generate-third-poms.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -29,6 +29,12 @@
<groupId>$g2</groupId>
<artifactId>$a2</artifactId>
<version>$v2</version>
+ <distributionManagement>
+ <relocation>
+ <groupId>$g</groupId>
+ </relocation>
+ </distributionManagement>
+
</project>
EOF
echo "" ;
Modified: migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh
===================================================================
--- migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh 2009-08-20 00:50:45 UTC (rev 16)
+++ migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh 2009-08-23 15:30:21 UTC (rev 17)
@@ -8,6 +8,7 @@
for pom in $poms ; do
echo -n " - build $pom ..."
dir=$(dirname $pom)
+#TODO peut-etre verifier que la version est deployee sur nuiton sinon on s'en fout un peu ?
(cd $dir ; mvn clean install -DperformRelease 1>/tmp/maven-build.log)
if [ $? -eq 0 ] ; then
echo "OK"
1
0
Author: tchemit
Date: 2009-08-20 02:50:45 +0200 (Thu, 20 Aug 2009)
New Revision: 16
Added:
migration-thirdparty/bin/build-nuiton-modify-projects-by-version.list.sh
migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh
migration-thirdparty/bin/build-nuiton-modify-projects-version.list.sh
migration-thirdparty/bin/create-project-type-order.sh
migration-thirdparty/bin/get-pom-version.sh
migration-thirdparty/bin/get-pom.version.sh
migration-thirdparty/bin/get-project-type-order.sh
migration-thirdparty/bin/get-project-type.sh
migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh
migration-thirdparty/bin/sort-poms.sh
Modified:
migration-thirdparty/
migration-thirdparty/bin/nuiton-patch-poms.sh
Log:
step 5 is nearly finish :)
Property changes on: migration-thirdparty
___________________________________________________________________
Modified: svn:ignore
- target
*.list
repo*
svn*
resolv*
poms*
+ vFile.tmp
order
projectorder
target
*.list
repo*
svn*
resolv*
poms*
Added: migration-thirdparty/bin/build-nuiton-modify-projects-by-version.list.sh
===================================================================
--- migration-thirdparty/bin/build-nuiton-modify-projects-by-version.list.sh (rev 0)
+++ migration-thirdparty/bin/build-nuiton-modify-projects-by-version.list.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+rm -fr order nuiton-modify-projects-by-version.list
+touch nuiton-modify-projects-by-version.list
+mkdir order
+d=$(pwd)
+for pom in $(cat nuiton-modify-projects.list) ; do
+ version=$($d/bin/get-pom-version.sh $pom)
+ vFile="order/$version"
+ echo -n " $pom" >> $vFile
+done
+
+for v in $(cat nuiton-modify-projects-version.list) ; do
+# echo "treate version $v"
+ vFile=$($d/bin/sort-poms.sh order/$v)
+# echo "poms found : $vFile"
+ echo "$v:$vFile" >> nuiton-modify-projects-by-version.list ;
+done
+
+
Property changes on: migration-thirdparty/bin/build-nuiton-modify-projects-by-version.list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh
===================================================================
--- migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh (rev 0)
+++ migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+rm -fr nuiton-modify-projects-type.list
+touch nuiton-modify-projects-type.list
+
+d=$(pwd)
+
+for pom in $(cat nuiton-modify-projects.list) ; do
+ name=$($d/bin/get-project-type.sh $pom)
+ grep $name nuiton-modify-projects-type.list 1>/dev/null
+ if [ $? -gt 0 ] ; then
+# echo "add $name" ;
+ echo "$name" >> nuiton-modify-projects-type.list ;
+ fi ;
+done
+sort -d nuiton-modify-projects-type.list > nuiton-modify-projects-type.list2
+mv nuiton-modify-projects-type.list2 nuiton-modify-projects-type.list
+
+
Property changes on: migration-thirdparty/bin/build-nuiton-modify-projects-type.list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/build-nuiton-modify-projects-version.list.sh
===================================================================
--- migration-thirdparty/bin/build-nuiton-modify-projects-version.list.sh (rev 0)
+++ migration-thirdparty/bin/build-nuiton-modify-projects-version.list.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+rm -fr nuiton-modify-projects-version.list
+touch nuiton-modify-projects-version.list
+
+d=$(pwd)
+
+for pom in $(cat nuiton-modify-projects.list) ; do
+ version=$($d/bin/get-pom-version.sh $pom)
+ grep $version nuiton-modify-projects-version.list 1>/dev/null
+ if [ $? -gt 0 ] ; then
+# echo "[$pom] : $version adding this version"
+ echo "$version" >> nuiton-modify-projects-version.list ;
+ fi ;
+done
+cat nuiton-modify-projects-version.list | xargs java -cp \
+~/.m2/repository/org/nuiton/nuiton-utils/1.1.0-rc-9-SNAPSHOT/nuiton-utils-1.1.0-rc-9-SNAPSHOT.jar:~/.m2/repository/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar:/home/chemit/.m2/repository/commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.jar:/home/chemit/.m2/repository/commons-beanutils/commons-beanutils/1.8.0/commons-beanutils-1.8.0.jar org.nuiton.util.VersionUtil \
+2>/dev/null 1> nuiton-modify-projects-version.list2
+mv nuiton-modify-projects-version.list2 nuiton-modify-projects-version.list
+
+
Property changes on: migration-thirdparty/bin/build-nuiton-modify-projects-version.list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/create-project-type-order.sh
===================================================================
--- migration-thirdparty/bin/create-project-type-order.sh (rev 0)
+++ migration-thirdparty/bin/create-project-type-order.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+ORDER="maven-helper-plugin maven-nuiton-skin mavenpom i18n nuiton-utils nuiton-j2r jaxx jrst nuiton-widgets topia"
+
+if [ ! -e projectorder ] ; then
+ # create order files
+ mkdir projectorder
+ n=0
+ for i in $ORDER ; do
+ echo "$n" > projectorder/$i
+ echo "$i" > projectorder/$n
+ n=$(( $n + 1 ))
+ done
+fi
+
Property changes on: migration-thirdparty/bin/create-project-type-order.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/get-pom-version.sh
===================================================================
--- migration-thirdparty/bin/get-pom-version.sh (rev 0)
+++ migration-thirdparty/bin/get-pom-version.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,7 @@
+#!/bin/sh
+pom=$1
+version=$(xmlstarlet sel -N "p=http://maven.apache.org/POM/4.0.0" -t -v "/p:project/p:version" $pom)
+if [ ! -n $version ] ; then
+ version=$(xmlstarlet sel -N "p=http://maven.apache.org/POM/4.0.0" -t -v "/p:project/p:parent/p:version" $pom)
+fi;
+echo $version
Property changes on: migration-thirdparty/bin/get-pom-version.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/get-pom.version.sh
===================================================================
--- migration-thirdparty/bin/get-pom.version.sh (rev 0)
+++ migration-thirdparty/bin/get-pom.version.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,7 @@
+#!/bin/sh
+pom=$1
+version=$(xmlstarlet sel -N "p=http://maven.apache.org/POM/4.0.0" -t -v "/p:project/p:version" $pom)
+if [ ! -n $version ] ; then
+ version=$(xmlstarlet sel -N "p=http://maven.apache.org/POM/4.0.0" -t -v "/p:project/p:parent/p:version" $pom)
+fi;
+echo $version
Property changes on: migration-thirdparty/bin/get-pom.version.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/get-project-type-order.sh
===================================================================
--- migration-thirdparty/bin/get-project-type-order.sh (rev 0)
+++ migration-thirdparty/bin/get-project-type-order.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+d=$(pwd)
+$d/bin/create-project-type-order.sh
+value=$(cat projectorder/$1)
+echo $value
Property changes on: migration-thirdparty/bin/get-project-type-order.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/get-project-type.sh
===================================================================
--- migration-thirdparty/bin/get-project-type.sh (rev 0)
+++ migration-thirdparty/bin/get-project-type.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+pom=$1
+
+parent=$(dirname $pom) ;
+echo "$parent" | grep -e "tags" 1>/dev/null
+if [ $? -eq 0 ] ; then
+ parent=$(dirname $parent)
+fi
+name=$(basename $parent)
+echo "$name"
+
+
Property changes on: migration-thirdparty/bin/get-project-type.sh
___________________________________________________________________
Added: svn:executable
+ *
Modified: migration-thirdparty/bin/nuiton-patch-poms.sh
===================================================================
--- migration-thirdparty/bin/nuiton-patch-poms.sh 2009-08-19 20:23:27 UTC (rev 15)
+++ migration-thirdparty/bin/nuiton-patch-poms.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -21,7 +21,7 @@
fi ;
if [ $v != $v2 ] ; then
sed -i -r -e "s/version>$v(.*)/version>$v2\1/" $pom ;
- echo -n " [change v]" ;
+ echo -n " [change version]" ;
fi ;
grep $pom nuiton-modify-poms.list 1>/dev/null ;
if [ $? -gt 0 ] ; then
Added: migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh
===================================================================
--- migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh (rev 0)
+++ migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+while read line
+do
+ v=$(echo $line | cut -d':' -f1)
+ poms=$(echo $line | cut -d':' -f2-)
+ echo "[version $v]"
+ for pom in $poms ; do
+ echo -n " - build $pom ..."
+ dir=$(dirname $pom)
+ (cd $dir ; mvn clean install -DperformRelease 1>/tmp/maven-build.log)
+ if [ $? -eq 0 ] ; then
+ echo "OK"
+ else
+ echo "KO"
+ cat /tmp/maven-build.log
+ exit 1
+ fi
+ done
+done < "nuiton-modify-projects-by-version.list"
+
Property changes on: migration-thirdparty/bin/rebuild-nuiton-modify-projects.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/sort-poms.sh
===================================================================
--- migration-thirdparty/bin/sort-poms.sh (rev 0)
+++ migration-thirdparty/bin/sort-poms.sh 2009-08-20 00:50:45 UTC (rev 16)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+file=$1
+
+d=$(pwd)
+$d/bin/create-project-type-order.sh
+nborder=$(( $(ls | wc -l) / 2 ))
+
+tmpFile="$1.tmp"
+rm -f $tmpFile
+touch $tmpFile
+for o in $(seq $nborder) ; do
+ o=$(( $o - 1 ))
+# echo "treate order $o"
+ for pom in $(cat $file) ; do
+ type=$($d/bin/get-project-type.sh $pom)
+ order=$($d/bin/get-project-type-order.sh $type)
+ if [ $o -eq $order ] ; then
+# echo "$pom : $order"
+ echo "$pom " >> $tmpFile
+ fi
+ done
+done
+value=$(cat $tmpFile)
+rm -f $tmpFile
+echo $value
Property changes on: migration-thirdparty/bin/sort-poms.sh
___________________________________________________________________
Added: svn:executable
+ *
1
0
Author: tchemit
Date: 2009-08-19 22:23:27 +0200 (Wed, 19 Aug 2009)
New Revision: 15
Added:
migration-thirdparty/bin/build-third-original-list.sh
migration-thirdparty/bin/build-third-translations-migrate-list.sh
migration-thirdparty/bin/generate-third-poms.sh
migration-thirdparty/bin/obtain-third-maven-repository.sh
Removed:
migration-thirdparty/bin/build-third-maven-repository.sh
migration-thirdparty/bin/build-third-translations-migrate.list.sh
migration-thirdparty/bin/get-third-original-list.sh
Modified:
migration-thirdparty/
migration-thirdparty/bin/adapt-resolv-dir.sh
migration-thirdparty/bin/build-resolv-dir.sh
migration-thirdparty/bin/build-resolv_safe-dir.sh
migration-thirdparty/bin/build-resolv_unsafe-dir.sh
migration-thirdparty/bin/build-third-translations-list.sh
migration-thirdparty/bin/build-third-translations-unsued-list.sh
migration-thirdparty/bin/deploy-third.sh
Log:
step 1, 2 and 3 is done
Property changes on: migration-thirdparty
___________________________________________________________________
Modified: svn:ignore
- *.list
repo*
svn*
+ target
*.list
repo*
svn*
resolv*
poms*
Modified: migration-thirdparty/bin/adapt-resolv-dir.sh
===================================================================
--- migration-thirdparty/bin/adapt-resolv-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/adapt-resolv-dir.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -3,14 +3,42 @@
echo $i >> resolv_safe/asm=asm=1.5.3 ;
done
rm resolv_unsafe/asm=asm=1.5.3
+
+for i in $(cat resolv_unsafe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.0.1-cl) ; do
+grep -e "$i" resolv_safe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl 1>/dev/null
+if [ $? -eq 0 ] ; then
+ echo $i >> resolv_safe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl ;
+fi ;
+done
+rm resolv_unsafe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.0.1-cl
+
+for i in $(cat resolv_unsafe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1-cl) ; do
+grep -e "$i" resolv_safe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl 1>/dev/null
+if [ $? -eq 0 ] ; then
+ echo $i >> resolv_safe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl ;
+fi ;
+done
+rm resolv_unsafe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1-cl
+
+for i in $(cat resolv_unsafe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl) ; do
+grep -e "$i" resolv_safe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl 1>/dev/null
+if [ $? -eq 0 ] ; then
+ echo $i >> resolv_safe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl ;
+fi ;
+
+done
+rm resolv_unsafe/org.apache.maven.plugins=maven-project-info-reports-plugin=2.1.1-cl
+
for i in $(cat resolv_unsafe/org.swinglabs=swingx=0.9.6 | grep -e "1.5.") ; do
echo $i >> resolv_safe/org.swinglabs=swingx=0.9.6 ;
done
rm resolv_unsafe/org.swinglabs=swingx=0.9.6
+
for i in $(cat resolv_unsafe/org.swinglabs=swingx=0.9.7 | grep -v "1.5.") ; do
echo $i >> resolv_safe/org.swinglabs=swingx=0.9.7 ;
done
rm resolv_unsafe/org.swinglabs=swingx=0.9.7
+
for i in $(cat resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl | grep -v "isis" | grep -v "jrst2") ; do
echo $i >> resolv_safe/sdoc=sdoc=0.5.0-beta-patchcl ;
done
@@ -18,6 +46,7 @@
echo $i >> resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl-2 ;
done
mv resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl-2 resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl
+
for i in $(cat resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.54 | grep -v "jrst2") ; do
echo $i >> resolv_safe/uk.co.flamingpenguin=jewelcli=0.54 ;
done
Modified: migration-thirdparty/bin/build-resolv-dir.sh
===================================================================
--- migration-thirdparty/bin/build-resolv-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-resolv-dir.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -7,11 +7,16 @@
a=$(echo $in | cut -d'/' -f2) ;
v=$(echo $in | cut -d'/' -f3) ;
file="resolv/$g=$a=$v" ;
- echo "$g:$a:$v : " ;
+ n=0
+ echo -n "$g:$a:$v : " ;
touch $file ;
for j in $(cat nuiton-all-poms.list) ; do
grep -e "$a" $j 1>/dev/null ;
- if [ $? -eq 0 ] ; then echo "$j" >> $file ; echo " $j"; fi ;
+ if [ $? -eq 0 ] ; then
+ echo "$j" >> $file ;
+ n=$(( $n + 1 )) ;
+ fi ;
done ;
+ echo "$n"
done
Modified: migration-thirdparty/bin/build-resolv_safe-dir.sh
===================================================================
--- migration-thirdparty/bin/build-resolv_safe-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-resolv_safe-dir.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -2,28 +2,30 @@
rm -rf resolv_safe resolved
mkdir resolv_safe
touch resolved
-for file in $(ls resolv) ; do
-g=$(echo $file | cut -d'=' -f1) ;
-a=$echo $file | cut -d'=' -f2) ;
-v=$(echo $file | cut -d'=' -f3) ;
-safeFile="resolv_safe/$file" ;
-nbSafe=0 ;
-touch $safeFile ;
-for pom in $(cat "resolv/$file") ; do
- grep -e "$pom" $safeFile 1>/dev/null ;
+for in in $(ls resolv) ; do
+g=$(echo $in | cut -d'=' -f1) ;
+a=$(echo $in | cut -d'=' -f2) ;
+v=$(echo $in | cut -d'=' -f3) ;
+file="resolv_safe/$in" ;
+nb=0 ;
+touch $file ;
+for pom in $(cat "resolv/$in") ; do
+ grep -e "$pom" $file 1>/dev/null ;
if [ $? -eq 0 ] ; then continue ; fi ;
grep -e "$v" $pom 1>/dev/null ;
if [ $? -eq 0 ] ; then
- echo "$pom" >> $safeFile ;
- echo "$pom" >> resolved ;
- nbSafe=$(( $nbSafe + 1 )) ;
- fi
+ echo "$pom" >> $file ;
+ echo "$pom" >> resolved ;
+ nb=$(( $nb + 1 )) ;
+ fi ;
done ;
-if [ $nbSafe -gt 0 ] ; then
-echo "[$file]" ;
-echo " -- WILL MODIFY poms detected $nbSafe" ;
-cat "$safeFile" ;
-echo "" ;
-else rm $safeFile ;
+echo "[$in] poms to patch : $nb" ;
+if [ $nb -gt 0 ] ; then
+ sort $file > "$file="
+ mv "$file=" $file
+ cat "$file" ;
+ echo "" ;
+else
+ rm $file ;
fi ;
done
Modified: migration-thirdparty/bin/build-resolv_unsafe-dir.sh
===================================================================
--- migration-thirdparty/bin/build-resolv_unsafe-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-resolv_unsafe-dir.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,24 +1,26 @@
#!/bin/sh
rm -rf resolv_unsafe
mkdir resolv_unsafe
-for file in $(ls resolv) ; do
-nbUnsafe=0 ;
-unsafeFile="resolv_unsafe/$file" ;
-touch $unsafeFile ;
-for pom in $(cat "resolv/$file") ; do
+for in in $(ls resolv) ; do
+nb=0 ;
+file="resolv_unsafe/$in" ;
+touch $file ;
+for pom in $(cat "resolv/$in") ; do
grep -e "$pom" resolved 1>/dev/null ;
if [ $? -eq 0 ] ; then continue ; fi ;
- grep -e "$pom" $unsafeFile 1>/dev/null ;
+ grep -e "$pom" $file 1>/dev/null ;
if [ $? -eq 0 ] ; then continue ; fi ;
- echo "$pom" >> $unsafeFile ;
- nbUnsafe=$(( $nbUnsafe + 1 )) ;
+ echo "$pom" >> $file ;
+ nb=$(( $nb + 1 )) ;
done ;
-if [ $nbUnsafe -gt 0 ] ; then
-echo "[$file]" ;
-echo " -- UNSAFE poms detected $nbUnsafe" ;
-cat "$unsafeFile" ;
-echo "" ;
-else rm $unsafeFile ;
+echo "[$in] pom not patched : $nb" ;
+if [ $nb -gt 0 ] ; then
+ sort $file > "$file="
+ mv "$file=" $file
+ cat "$file" ;
+ echo "" ;
+else
+ rm $file ;
fi ;
done
Deleted: migration-thirdparty/bin/build-third-maven-repository.sh
===================================================================
--- migration-thirdparty/bin/build-third-maven-repository.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-third-maven-repository.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,14 +0,0 @@
-#!/bin/sh
-# copy the maven repository for the given artifacts (in file thir-original.list)
-rm -rf repository
-for i in $(cat third-original.list) ; do
-dir="repository/$i"
-mkdir -p $dir ;
-echo "copy files to $dir" ;
-( cd $dir ;
- scp -r publish@nuiton.org:/var/lib/maven/release/$i/* . 1>/dev/null ;
- ls -l *.pom*
- ls -l *.jar*
-)
-done
-
Copied: migration-thirdparty/bin/build-third-original-list.sh (from rev 14, migration-thirdparty/bin/get-third-original-list.sh)
===================================================================
--- migration-thirdparty/bin/build-third-original-list.sh (rev 0)
+++ migration-thirdparty/bin/build-third-original-list.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -0,0 +1,8 @@
+#!/bin/sh
+rm -f third-original.list
+ssh publish(a)nuiton.org '(find /var/lib/maven/release -type d \
+| grep -v "org/nuiton" | grep -v "org/chorem" | grep .*/[0-9] | cut -f6- -d/ )' > third-original.list
+
+sort third-original.list > third-original.list2
+mv third-original.list2 third-original.list
+
Property changes on: migration-thirdparty/bin/build-third-original-list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:mergeinfo
+
Modified: migration-thirdparty/bin/build-third-translations-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-list.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-third-translations-list.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,32 +1,30 @@
#!/bin/sh
cat << EOF > third-translations.list
-externallib/jregex/1.2_01:org.nuiton.thirdparty.externallib/jregex/1.2_01
-externallib/REngine/0.6-0:org.nuiton.thirdparty.externallib/REngine/0.6-0
-externallib/Rserve/0.6-0:org.nuiton.thirdparty.externallib/Rserve/0.6-0
-externallib/JRI/0.2-4-cl:org.nuiton.thirdparty.externallib/JRI/0.2-4-cl
-externallib/JRI/0.7-0:org.nuiton.thirdparty.externallib/JRI/0.7-0
-externallib/l2fprod-common/0.1:org.nuiton.thirdparty.externallib/l2fprod-common/0.1
-sdoc/sdoc/0.5.0-beta-patchcl:org.nuiton.thirdparty.sdoc/sdoc/0.5.0-beta-patchcl
-org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204:org.nuiton.thirdparty.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204
-org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20081018:org.nuiton.thirdparty.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204
-org.apache.commons/commons-compress/20090504:org.nuiton.thirdparty.commons/commons-compress/20090504
-org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20081016:org.nuiton.thirdparty.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204
-org.fife/rsyntaxtextarea/1.3.3:org.nuiton.thirdparty.fife/rsyntaxtextarea/1.3.3
-externallib/jGuard-j2ee/0.7.2:XX/jGuard-j2ee/0.7.2
-asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty.externallib/asm-attrs/1.5.4-snapshot
-asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty.externallib/asm-util/1.5.4-snapshot
-org.jdesktop/beansbinding/1.2.1:XX/beansbinding/1.2.1
-org.mortbay.jetty/jetty-test/6.1.8:org.nuiton.thirdparty.jetty/jetty-test/6.1.8
-uk.co.flamingpenguin/jewelcli/0.53:uk.co.flamingpenguin.jewelcli/jewelcli/0.57
-uk.co.flamingpenguin/jewelcli/0.54:uk.co.flamingpenguin.jewelcli/jewelcli/0.57
-org.swinglabs/swingx/0.9.6:org.swinglabs/swingx/1.0
-org.swinglabs/swingx/0.9.7:org.swinglabs/swingx/1.0
-asm/asm/1.5.3:org.nuiton.thirdparty.asm/asm/1.5.4-SNAPSHOT
+asm/asm/1.5.3:org.nuiton.thirdparty/asm/1.5.4-SNAPSHOT
+asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty/asm-attrs/1.5.4-snapshot
+asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty/asm-util/1.5.4-snapshot
+externallib/jGuard-j2ee/0.7.2:org.nuiton.thirdparty/jGuard-j2ee/0.7.2
+externallib/jregex/1.2_01:org.nuiton.thirdparty/jregex/1.2_01
+externallib/JRI/0.2-4-cl:org.nuiton.thirdparty/JRI/0.2-4-cl
+externallib/JRI/0.7-0:org.nuiton.thirdparty/JRI/0.7-0
+externallib/l2fprod-common/0.1:org.nuiton.thirdparty/l2fprod-common/0.1
+externallib/REngine/0.6-0:org.nuiton.thirdparty/REngine/0.6-0
+externallib/Rserve/0.6-0:org.nuiton.thirdparty/Rserve/0.6-0
+org.apache.commons/commons-compress/20090504:org.nuiton.thirdparty/commons-compress/20090504
org.apache.maven.plugins/maven-project-info-reports-plugin/2.0.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
-org.apache.maven.plugins/maven-project-info-reports-plugin/2.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
+org.apache.maven.plugins/maven-project-info-reports-plugin/2.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
+org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20081016:org.nuiton.thirdparty/webstart-maven-plugin/1.0-alpha-2-cl_20090204
+org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20081018:org.nuiton.thirdparty/webstart-maven-plugin/1.0-alpha-2-cl_20090204
+org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204:org.nuiton.thirdparty/webstart-maven-plugin/1.0-alpha-2-cl_20090204
+org.fife/rsyntaxtextarea/1.3.3:org.nuiton.thirdparty/rsyntaxtextarea/1.3.3
+org.jdesktop/beansbinding/1.2.1:org.nuiton.thirdparty/beansbinding/1.2.1
+org.mortbay.jetty/jetty-test/6.1.8:org.nuiton.thirdparty/jetty-test/6.1.8
+org.swinglabs/swingx/0.9.6:org.swinglabs/swingx/1.0
+org.swinglabs/swingx/0.9.7:org.swinglabs/swingx/1.0
+sdoc/sdoc/0.5.0-beta-patchcl:org.nuiton.thirdparty/sdoc/0.5.0-beta-patchcl
+uk.co.flamingpenguin/jewelcli/0.53:uk.co.flamingpenguin.jewelcli/jewelcli/0.57
+uk.co.flamingpenguin/jewelcli/0.54:uk.co.flamingpenguin.jewelcli/jewelcli/0.57
EOF
sort third-translations.list > third-translations.list2
mv third-translations.list2 third-translations.list
-cat third-translations.list
-
Copied: migration-thirdparty/bin/build-third-translations-migrate-list.sh (from rev 14, migration-thirdparty/bin/build-third-translations-migrate.list.sh)
===================================================================
--- migration-thirdparty/bin/build-third-translations-migrate-list.sh (rev 0)
+++ migration-thirdparty/bin/build-third-translations-migrate-list.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -0,0 +1,30 @@
+#!/bin/bash
+rm -f third-translations-migrate.list
+touch third-translations-migrate.list
+for i in $(cat third-translations-used.list) ; do
+ in=$(echo $i | cut -d':' -f1) ;
+ g=$(echo $in | cut -d'/' -f1) ;
+ a=$(echo $in | cut -d'/' -f2) ;
+ v=$(echo $in | cut -d'/' -f3) ;
+ rep="repository/${g//.//}/$a/$v" ;
+ if [ ! -e "$rep" ] ; then continue ; fi ;
+ echo "$i" | grep -e "jewelcli" 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ echo "$i" | grep -e "swingx" 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ echo "$i" | grep -e "maven-project-info-reports-plugin" 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ echo "$i" | grep -e "webstart" 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ echo "$i" | grep -e "1.0-alpha-2-cl_20081018" 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ echo "$i" >> third-translations-migrate.list ;
+done
+echo "asm/asm/1.5.4-snapshot:org.nuiton.thirdparty/asm/1.5.4-SNAPSHOT" >> third-translations-migrate.list
+echo "asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty/asm-attrs/1.5.4-SNAPSHOT" >> third-translations-migrate.list
+echo "asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty/asm-util/1.5.4-SNAPSHOT" >> third-translations-migrate.list
+sort -d third-translations-migrate.list > third-translations-migrate.list2
+mv third-translations-migrate.list2 third-translations-migrate.list
+
+
+
Property changes on: migration-thirdparty/bin/build-third-translations-migrate-list.sh
___________________________________________________________________
Added: svn:mergeinfo
+
Deleted: migration-thirdparty/bin/build-third-translations-migrate.list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-migrate.list.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-third-translations-migrate.list.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,23 +0,0 @@
-#!/bin/sh
-rm -f third-translations-migrate.list
-touch third-translations-migrate.list
-for i in $(cat third-translations-used.list) ; do
-in=$(echo $i | cut -d':' -f1) ;
-out=$(echo $i | cut -d':' -f2) ;
-g=$(echo $in | cut -d'/' -f1) ;
-a=$(echo $in | cut -d'/' -f2) ;
-v=$(echo $in | cut -d'/' -f3) ;
-rep="repository/${g//.//}/$a/$v" ;
-if [ ! -e "$rep" ] ; then continue ; fi ;
-echo "$i" | grep -e "jewelcli" 1>/dev/null ;
-if [ $? -eq 0 ] ; then continue ; fi ;
-echo "$i" | grep -e "swingx" 1>/dev/null ;
-if [ $? -eq 0 ] ; then continue ; fi ;
-echo $i >> third-translations-migrate.list ;
-done
-echo "asm/asm/1.5.4-snapshot:org.nuiton.thirdparty.asm/asm/1.5.4-SNAPSHOT" >> third-translations-migrate.list
-sort -d third-translations-migrate.list > third-translations-migrate.list2
-mv third-translations-migrate.list2 third-translations-migrate.list
-cat third-translations-migrate.list
-
-
Modified: migration-thirdparty/bin/build-third-translations-unsued-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-unsued-list.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/build-third-translations-unsued-list.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,5 +1,5 @@
#!/bin/sh
-rm third-translations-unused.list
+rm -f third-translations-unused.list
touch third-translations-unused.list
for i in $(cat third-translations.list) ; do
in=$(echo $i | cut -d':' -f1) ;
@@ -16,7 +16,6 @@
done ;
if [ $nb -eq 0 ] ; then
echo $i >> third-translations-unused.list ;
- echo "$g:$a:$v UNUSED" ;
fi ;
done
Modified: migration-thirdparty/bin/deploy-third.sh
===================================================================
--- migration-thirdparty/bin/deploy-third.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/deploy-third.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,34 +1,58 @@
-#!/bin/sh
+#!/bin/bash
+options="-DupdateReleaseInfo -Durl=scpexe://nuiton.org/var/lib/maven/release -DrepositoryId=nuiton"
+
for i in $(cat third-translations-migrate.list) ; do
-in=$(echo $i | cut -d':' -f1) ;
-out=$(echo $i | cut -d':' -f2) ;
-g=$(echo $in | cut -d'/' -f1) ;
-a=$(echo $in | cut -d'/' -f2) ;
-v=$(echo $in | cut -d'/' -f3) ;
-g2=$(echo $out | cut -d'/' -f1) ;
-a2=$(echo $out | cut -d'/' -f2) ;
-v2=$(echo $out | cut -d'/' -f3) ;
-parent="repository/${g//.//}/$a/$v" ;
-originalPom="$parent/$a-$v.pom" ;
-usedPom="$parent/pom.xml" ;
-echo "$g:$a:$v --> $g2:$a2:$v2" ;
-if [ -e $originalPom ] ; then
-echo " - use $originalPom to build pom" ;
-cp $originalPom $usedPom ;
-else
-echo " - generate pom :" ;
-cat << EOF > $usedPom
-<?xml version="1.0" encoding="UTF-8"?><project>
- <modelVersion>4.0.0</modelVersion>
- <groupId>$g2</groupId>
- <artifactId>$a2</artifactId>
- <version>$v2</version>
-</project>
-EOF
-cat $usedPom ;
-fi ;
-echo "==================================================================" ;
+ in=$(echo $i | cut -d':' -f1) ;
+ out=$(echo $i | cut -d':' -f2) ;
+ g=$(echo $in | cut -d'/' -f1) ;
+ a=$(echo $in | cut -d'/' -f2) ;
+ v=$(echo $in | cut -d'/' -f3) ;
+ g2=$(echo $out | cut -d'/' -f1) ;
+ a2=$(echo $out | cut -d'/' -f2) ;
+ v2=$(echo $out | cut -d'/' -f3) ;
+ parent="repository/${g//.//}/$a/$v" ;
+ pom="poms/$a-pom.xml" ;
+ jar="$a-$v.jar" ;
+ sources="$a-$v-sources.jar" ;
+ javadoc="$a-$v-javadoc.jar" ;
+ echo "$g:$a:$v --> $g2:$a2:$v2" ;
+ echo -n " - deploy $jar ..."
+ mvn deploy:deploy-file -DpomFile=$pom $options -Dfile=$parent/$jar 1>/tmp/maven-deploy.log
+ if [ $? -eq 0 ] ; then
+ echo "OK" ;
+ else
+ echo "KO" ;
+ cat /tmp/maven-deploy.log ;
+ exit 1 ;
+ fi ;
+ if [ -e $parent/$sources ] ; then
+ echo -n " - deploy sources $sources ..."
+ mvn deploy:deploy-file -DpomFile=$pom -Dclassifier=sources $options -Dfile=$parent/$sources 1>/tmp/maven-deploy.log
+ if [ $? -eq 0 ] ; then
+ echo "OK" ;
+ else
+ echo "KO" ;
+ cat /tmp/maven-deploy.log ;
+ exit 1 ;
+ fi ;
+ else
+ echo " - no sources to deploy" ;
+ fi ;
+ if [ -e $parent/$javadoc ] ; then
+ echo -n " - deploy javadoc $javadoc ..."
+ mvn deploy:deploy-file -DpomFile=$pom -Dclassifier=javadoc $options -Dfile=$parent/$javadoc 1>/tmp/maven-deploy.log
+ if [ $? -eq 0 ] ; then
+ echo "OK" ;
+ else
+ echo "KO" ;
+ cat /tmp/maven-deploy.log ;
+ exit 1 ;
+ fi ;
+ else
+ echo " - no javadoc to deploy" ;
+ fi ;
+ echo "" ;
done
Added: migration-thirdparty/bin/generate-third-poms.sh
===================================================================
--- migration-thirdparty/bin/generate-third-poms.sh (rev 0)
+++ migration-thirdparty/bin/generate-third-poms.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+rm -rf poms
+mkdir poms
+for i in $(cat third-translations-migrate.list) ; do
+ in=$(echo $i | cut -d':' -f1) ;
+ out=$(echo $i | cut -d':' -f2) ;
+ g=$(echo $in | cut -d'/' -f1) ;
+ a=$(echo $in | cut -d'/' -f2) ;
+ v=$(echo $in | cut -d'/' -f3) ;
+ g2=$(echo $out | cut -d'/' -f1) ;
+ a2=$(echo $out | cut -d'/' -f2) ;
+ v2=$(echo $out | cut -d'/' -f3) ;
+ parent="repository/${g//.//}/$a/$v" ;
+ originalPom="$parent/$a-$v.pom" ;
+ pom="poms/$a-pom.xml" ;
+ jar="$parent/$a-$v.jar" ;
+ sources="$parent/$a-$v-sources.jar" ;
+ javadoc="$parent/$a-$v-javadoc.jar" ;
+ echo "$g:$a:$v --> $g2:$a2:$v2" ;
+ if [ -e $originalPom ] ; then
+ echo " - copy existing pom $originalPom " ;
+ cp $originalPom "poms/$a-pom-orgi.xml" ;
+ fi ;
+ echo " - generate pom : $pom" ;
+ cat << EOF > $pom
+<?xml version="1.0" encoding="UTF-8"?><project>
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>$g2</groupId>
+ <artifactId>$a2</artifactId>
+ <version>$v2</version>
+</project>
+EOF
+ echo "" ;
+done
+
+
Property changes on: migration-thirdparty/bin/generate-third-poms.sh
___________________________________________________________________
Added: svn:executable
+ *
Deleted: migration-thirdparty/bin/get-third-original-list.sh
===================================================================
--- migration-thirdparty/bin/get-third-original-list.sh 2009-08-19 17:01:54 UTC (rev 14)
+++ migration-thirdparty/bin/get-third-original-list.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -1,6 +0,0 @@
-#!/bin/sh
-rm -f third-original.list
-ssh publish(a)nuiton.org '(find /var/lib/maven/release -type d \
-| grep -v "org/nuiton" | grep -v "org/chorem" | grep .*/[0-9] | cut -f6- -d/ )' > third-original.list
-cat third-original.list
-
Copied: migration-thirdparty/bin/obtain-third-maven-repository.sh (from rev 14, migration-thirdparty/bin/build-third-maven-repository.sh)
===================================================================
--- migration-thirdparty/bin/obtain-third-maven-repository.sh (rev 0)
+++ migration-thirdparty/bin/obtain-third-maven-repository.sh 2009-08-19 20:23:27 UTC (rev 15)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# copy the maven repository for the given artifacts (in file thir-original.list)
+rm -rf repository
+for i in $(cat third-original.list) ; do
+dir="repository/$i"
+mkdir -p $dir ;
+echo "copy files to $dir" ;
+( cd $dir ;
+ scp -r publish@nuiton.org:/var/lib/maven/release/$i/* . 1>/dev/null ;
+ ls -l *.pom*
+ ls -l *.jar*
+)
+done
+
Property changes on: migration-thirdparty/bin/obtain-third-maven-repository.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:mergeinfo
+
1
0
19 Aug '09
Author: tchemit
Date: 2009-08-19 19:01:54 +0200 (Wed, 19 Aug 2009)
New Revision: 14
Added:
migration-thirdparty/
migration-thirdparty/bin/
migration-thirdparty/bin/adapt-resolv-dir.sh
migration-thirdparty/bin/build-nuiton-modify-projects.list.sh
migration-thirdparty/bin/build-resolv-dir.sh
migration-thirdparty/bin/build-resolv_safe-dir.sh
migration-thirdparty/bin/build-resolv_unsafe-dir.sh
migration-thirdparty/bin/build-third-maven-repository.sh
migration-thirdparty/bin/build-third-translations-list.sh
migration-thirdparty/bin/build-third-translations-migrate.list.sh
migration-thirdparty/bin/build-third-translations-unsued-list.sh
migration-thirdparty/bin/build-third-used-list.sh
migration-thirdparty/bin/deploy-third.sh
migration-thirdparty/bin/get-third-original-list.sh
migration-thirdparty/bin/nuiton-patch-poms.sh
migration-thirdparty/bin/nuiton-svn-revert.sh
migration-thirdparty/bin/obtain-nuiton-svn-repository.sh
Log:
add third-party migration scripts
Property changes on: migration-thirdparty
___________________________________________________________________
Added: svn:ignore
+ *.list
repo*
svn*
Added: migration-thirdparty/bin/adapt-resolv-dir.sh
===================================================================
--- migration-thirdparty/bin/adapt-resolv-dir.sh (rev 0)
+++ migration-thirdparty/bin/adapt-resolv-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,31 @@
+#!/bin/sh
+for i in $(cat resolv_unsafe/asm=asm=1.5.3) ; do
+echo $i >> resolv_safe/asm=asm=1.5.3 ;
+done
+rm resolv_unsafe/asm=asm=1.5.3
+for i in $(cat resolv_unsafe/org.swinglabs=swingx=0.9.6 | grep -e "1.5.") ; do
+echo $i >> resolv_safe/org.swinglabs=swingx=0.9.6 ;
+done
+rm resolv_unsafe/org.swinglabs=swingx=0.9.6
+for i in $(cat resolv_unsafe/org.swinglabs=swingx=0.9.7 | grep -v "1.5.") ; do
+echo $i >> resolv_safe/org.swinglabs=swingx=0.9.7 ;
+done
+rm resolv_unsafe/org.swinglabs=swingx=0.9.7
+for i in $(cat resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl | grep -v "isis" | grep -v "jrst2") ; do
+echo $i >> resolv_safe/sdoc=sdoc=0.5.0-beta-patchcl ;
+done
+for i in $(cat resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl | grep -v "trunk" | grep -v "1.0.0") ; do
+echo $i >> resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl-2 ;
+done
+mv resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl-2 resolv_unsafe/sdoc=sdoc=0.5.0-beta-patchcl
+for i in $(cat resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.54 | grep -v "jrst2") ; do
+echo $i >> resolv_safe/uk.co.flamingpenguin=jewelcli=0.54 ;
+done
+for i in $(cat resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.54 | grep -e "jrst2") ; do
+echo $i >> resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.54-2 ;
+done
+mv resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.54-2 resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.54
+rm resolv_unsafe/uk.co.flamingpenguin=jewelcli=0.53
+
+
+
Added: migration-thirdparty/bin/build-nuiton-modify-projects.list.sh
===================================================================
--- migration-thirdparty/bin/build-nuiton-modify-projects.list.sh (rev 0)
+++ migration-thirdparty/bin/build-nuiton-modify-projects.list.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+rm -fr nuiton-modify-projects.list
+touch nuiton-modify-projects.list
+for pom in $(cat nuiton-modify-poms.list) ; do
+parent=$(dirname $pom) ;
+parent=$(dirname $parent) ;
+parentpom="$parent/pom.xml" ;
+if [ -e $parentpom ] ; then
+# echo "[$pom] - parent $parentpom" ;
+ grep $parentpom nuiton-modify-projects.list 1>/dev/null ;
+ if [ $? -gt 0 ] ; then
+# echo "add parent pom $parentpom" ;
+ echo "$parentpom" >> nuiton-modify-projects.list ;
+ fi ;
+else
+# echo "[$pom] - standalone" ;
+ grep $pom nuiton-modify-projects.list 1>/dev/null ;
+ if [ $? -gt 0 ] ; then
+# echo "add standalone pom $pom" ;
+ echo "$pom" >> nuiton-modify-projects.list ;
+ fi ;
+fi ;
+done
+sort -d nuiton-modify-projects.list > nuiton-modify-projects.list2
+mv nuiton-modify-projects.list2 nuiton-modify-projects.list
+
+cat nuiton-modify-projects.list
+
+
Added: migration-thirdparty/bin/build-resolv-dir.sh
===================================================================
--- migration-thirdparty/bin/build-resolv-dir.sh (rev 0)
+++ migration-thirdparty/bin/build-resolv-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,17 @@
+#!/bin/sh
+rm -rf resolv
+mkdir resolv
+for i in $(cat third-translations-used.list) ; do
+ in=$(echo $i | cut -d':' -f1) ;
+ g=$(echo $in | cut -d'/' -f1) ;
+ a=$(echo $in | cut -d'/' -f2) ;
+ v=$(echo $in | cut -d'/' -f3) ;
+ file="resolv/$g=$a=$v" ;
+ echo "$g:$a:$v : " ;
+ touch $file ;
+ for j in $(cat nuiton-all-poms.list) ; do
+ grep -e "$a" $j 1>/dev/null ;
+ if [ $? -eq 0 ] ; then echo "$j" >> $file ; echo " $j"; fi ;
+ done ;
+done
+
Added: migration-thirdparty/bin/build-resolv_safe-dir.sh
===================================================================
--- migration-thirdparty/bin/build-resolv_safe-dir.sh (rev 0)
+++ migration-thirdparty/bin/build-resolv_safe-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,29 @@
+#!/bin/sh
+rm -rf resolv_safe resolved
+mkdir resolv_safe
+touch resolved
+for file in $(ls resolv) ; do
+g=$(echo $file | cut -d'=' -f1) ;
+a=$echo $file | cut -d'=' -f2) ;
+v=$(echo $file | cut -d'=' -f3) ;
+safeFile="resolv_safe/$file" ;
+nbSafe=0 ;
+touch $safeFile ;
+for pom in $(cat "resolv/$file") ; do
+ grep -e "$pom" $safeFile 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ grep -e "$v" $pom 1>/dev/null ;
+ if [ $? -eq 0 ] ; then
+ echo "$pom" >> $safeFile ;
+ echo "$pom" >> resolved ;
+ nbSafe=$(( $nbSafe + 1 )) ;
+ fi
+done ;
+if [ $nbSafe -gt 0 ] ; then
+echo "[$file]" ;
+echo " -- WILL MODIFY poms detected $nbSafe" ;
+cat "$safeFile" ;
+echo "" ;
+else rm $safeFile ;
+fi ;
+done
Added: migration-thirdparty/bin/build-resolv_unsafe-dir.sh
===================================================================
--- migration-thirdparty/bin/build-resolv_unsafe-dir.sh (rev 0)
+++ migration-thirdparty/bin/build-resolv_unsafe-dir.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,24 @@
+#!/bin/sh
+rm -rf resolv_unsafe
+mkdir resolv_unsafe
+for file in $(ls resolv) ; do
+nbUnsafe=0 ;
+unsafeFile="resolv_unsafe/$file" ;
+touch $unsafeFile ;
+for pom in $(cat "resolv/$file") ; do
+ grep -e "$pom" resolved 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ grep -e "$pom" $unsafeFile 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ echo "$pom" >> $unsafeFile ;
+ nbUnsafe=$(( $nbUnsafe + 1 )) ;
+done ;
+if [ $nbUnsafe -gt 0 ] ; then
+echo "[$file]" ;
+echo " -- UNSAFE poms detected $nbUnsafe" ;
+cat "$unsafeFile" ;
+echo "" ;
+else rm $unsafeFile ;
+fi ;
+done
+
Added: migration-thirdparty/bin/build-third-maven-repository.sh
===================================================================
--- migration-thirdparty/bin/build-third-maven-repository.sh (rev 0)
+++ migration-thirdparty/bin/build-third-maven-repository.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# copy the maven repository for the given artifacts (in file thir-original.list)
+rm -rf repository
+for i in $(cat third-original.list) ; do
+dir="repository/$i"
+mkdir -p $dir ;
+echo "copy files to $dir" ;
+( cd $dir ;
+ scp -r publish@nuiton.org:/var/lib/maven/release/$i/* . 1>/dev/null ;
+ ls -l *.pom*
+ ls -l *.jar*
+)
+done
+
Property changes on: migration-thirdparty/bin/build-third-maven-repository.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/build-third-translations-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-list.sh (rev 0)
+++ migration-thirdparty/bin/build-third-translations-list.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,32 @@
+#!/bin/sh
+cat << EOF > third-translations.list
+externallib/jregex/1.2_01:org.nuiton.thirdparty.externallib/jregex/1.2_01
+externallib/REngine/0.6-0:org.nuiton.thirdparty.externallib/REngine/0.6-0
+externallib/Rserve/0.6-0:org.nuiton.thirdparty.externallib/Rserve/0.6-0
+externallib/JRI/0.2-4-cl:org.nuiton.thirdparty.externallib/JRI/0.2-4-cl
+externallib/JRI/0.7-0:org.nuiton.thirdparty.externallib/JRI/0.7-0
+externallib/l2fprod-common/0.1:org.nuiton.thirdparty.externallib/l2fprod-common/0.1
+sdoc/sdoc/0.5.0-beta-patchcl:org.nuiton.thirdparty.sdoc/sdoc/0.5.0-beta-patchcl
+org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204:org.nuiton.thirdparty.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204
+org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20081018:org.nuiton.thirdparty.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204
+org.apache.commons/commons-compress/20090504:org.nuiton.thirdparty.commons/commons-compress/20090504
+org.codehaus.mojo.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20081016:org.nuiton.thirdparty.webstart/webstart-maven-plugin/1.0-alpha-2-cl_20090204
+org.fife/rsyntaxtextarea/1.3.3:org.nuiton.thirdparty.fife/rsyntaxtextarea/1.3.3
+externallib/jGuard-j2ee/0.7.2:XX/jGuard-j2ee/0.7.2
+asm-attrs/asm-attrs/1.5.4-snapshot:org.nuiton.thirdparty.externallib/asm-attrs/1.5.4-snapshot
+asm-util/asm-util/1.5.4-snapshot:org.nuiton.thirdparty.externallib/asm-util/1.5.4-snapshot
+org.jdesktop/beansbinding/1.2.1:XX/beansbinding/1.2.1
+org.mortbay.jetty/jetty-test/6.1.8:org.nuiton.thirdparty.jetty/jetty-test/6.1.8
+uk.co.flamingpenguin/jewelcli/0.53:uk.co.flamingpenguin.jewelcli/jewelcli/0.57
+uk.co.flamingpenguin/jewelcli/0.54:uk.co.flamingpenguin.jewelcli/jewelcli/0.57
+org.swinglabs/swingx/0.9.6:org.swinglabs/swingx/1.0
+org.swinglabs/swingx/0.9.7:org.swinglabs/swingx/1.0
+asm/asm/1.5.3:org.nuiton.thirdparty.asm/asm/1.5.4-SNAPSHOT
+org.apache.maven.plugins/maven-project-info-reports-plugin/2.0.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
+org.apache.maven.plugins/maven-project-info-reports-plugin/2.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
+org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.1-cl:org.apache.maven.plugins/maven-project-info-reports-plugin/2.1.2
+EOF
+sort third-translations.list > third-translations.list2
+mv third-translations.list2 third-translations.list
+cat third-translations.list
+
Property changes on: migration-thirdparty/bin/build-third-translations-list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/build-third-translations-migrate.list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-migrate.list.sh (rev 0)
+++ migration-thirdparty/bin/build-third-translations-migrate.list.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,23 @@
+#!/bin/sh
+rm -f third-translations-migrate.list
+touch third-translations-migrate.list
+for i in $(cat third-translations-used.list) ; do
+in=$(echo $i | cut -d':' -f1) ;
+out=$(echo $i | cut -d':' -f2) ;
+g=$(echo $in | cut -d'/' -f1) ;
+a=$(echo $in | cut -d'/' -f2) ;
+v=$(echo $in | cut -d'/' -f3) ;
+rep="repository/${g//.//}/$a/$v" ;
+if [ ! -e "$rep" ] ; then continue ; fi ;
+echo "$i" | grep -e "jewelcli" 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo "$i" | grep -e "swingx" 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i >> third-translations-migrate.list ;
+done
+echo "asm/asm/1.5.4-snapshot:org.nuiton.thirdparty.asm/asm/1.5.4-SNAPSHOT" >> third-translations-migrate.list
+sort -d third-translations-migrate.list > third-translations-migrate.list2
+mv third-translations-migrate.list2 third-translations-migrate.list
+cat third-translations-migrate.list
+
+
Added: migration-thirdparty/bin/build-third-translations-unsued-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-translations-unsued-list.sh (rev 0)
+++ migration-thirdparty/bin/build-third-translations-unsued-list.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,25 @@
+#!/bin/sh
+rm third-translations-unused.list
+touch third-translations-unused.list
+for i in $(cat third-translations.list) ; do
+in=$(echo $i | cut -d':' -f1) ;
+g=$(echo $in | cut -d'/' -f1) ;
+a=$(echo $in | cut -d'/' -f2) ;
+v=$(echo $in | cut -d'/' -f3) ;
+nb=0 ;
+for j in $(cat nuiton-all-poms.list) ; do
+ grep -e "$a" $j 1>/dev/null ;
+ if [ $? -eq 0 ] ; then
+ grep -e "$v" $j 1>/dev/null ;
+ if [ $? -eq 0 ] ; then nb=$(($nb + 1)) ; fi ;
+ fi ;
+done ;
+if [ $nb -eq 0 ] ; then
+ echo $i >> third-translations-unused.list ;
+ echo "$g:$a:$v UNUSED" ;
+fi ;
+done
+
+
+
+
Property changes on: migration-thirdparty/bin/build-third-translations-unsued-list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/build-third-used-list.sh
===================================================================
--- migration-thirdparty/bin/build-third-used-list.sh (rev 0)
+++ migration-thirdparty/bin/build-third-used-list.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,23 @@
+#!/bin/sh
+rm -f third-used.list
+for i in $(cat third-original.list | grep -v "jGuard-j2ee" \
+| grep -v "asm-util" | grep -v "asm-attrs" | grep -v "jetty-test" \
+ | grep -v "beansbinding" | grep -v "1.0-alpha-2-cl_20081016") ; do
+echo $i >> third-used.list ;
+done
+rm -f third-translations-used.list
+for i in $(cat third-translations.list) ; do
+echo $i | grep jGuard-j2ee 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i | grep asm-attrs 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i | grep asm-util 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i | grep jetty-test 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i | grep beansbinding 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i | grep 1.0-alpha-2-cl_20081016 1>/dev/null ;
+if [ $? -eq 0 ] ; then continue ; fi ;
+echo $i >> third-translations-used.list ;
+done
Added: migration-thirdparty/bin/deploy-third.sh
===================================================================
--- migration-thirdparty/bin/deploy-third.sh (rev 0)
+++ migration-thirdparty/bin/deploy-third.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+for i in $(cat third-translations-migrate.list) ; do
+in=$(echo $i | cut -d':' -f1) ;
+out=$(echo $i | cut -d':' -f2) ;
+g=$(echo $in | cut -d'/' -f1) ;
+a=$(echo $in | cut -d'/' -f2) ;
+v=$(echo $in | cut -d'/' -f3) ;
+g2=$(echo $out | cut -d'/' -f1) ;
+a2=$(echo $out | cut -d'/' -f2) ;
+v2=$(echo $out | cut -d'/' -f3) ;
+parent="repository/${g//.//}/$a/$v" ;
+originalPom="$parent/$a-$v.pom" ;
+usedPom="$parent/pom.xml" ;
+echo "$g:$a:$v --> $g2:$a2:$v2" ;
+if [ -e $originalPom ] ; then
+echo " - use $originalPom to build pom" ;
+cp $originalPom $usedPom ;
+else
+echo " - generate pom :" ;
+cat << EOF > $usedPom
+<?xml version="1.0" encoding="UTF-8"?><project>
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>$g2</groupId>
+ <artifactId>$a2</artifactId>
+ <version>$v2</version>
+</project>
+EOF
+cat $usedPom ;
+fi ;
+echo "==================================================================" ;
+done
+
+
Added: migration-thirdparty/bin/get-third-original-list.sh
===================================================================
--- migration-thirdparty/bin/get-third-original-list.sh (rev 0)
+++ migration-thirdparty/bin/get-third-original-list.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,6 @@
+#!/bin/sh
+rm -f third-original.list
+ssh publish(a)nuiton.org '(find /var/lib/maven/release -type d \
+| grep -v "org/nuiton" | grep -v "org/chorem" | grep .*/[0-9] | cut -f6- -d/ )' > third-original.list
+cat third-original.list
+
Property changes on: migration-thirdparty/bin/get-third-original-list.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: migration-thirdparty/bin/nuiton-patch-poms.sh
===================================================================
--- migration-thirdparty/bin/nuiton-patch-poms.sh (rev 0)
+++ migration-thirdparty/bin/nuiton-patch-poms.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,37 @@
+#!/bin/sh
+rm -fr nuiton-modify-poms.list
+touch nuiton-modify-poms.list
+for i in $(cat third-translations-used.list) ; do
+in=$(echo $i | cut -d':' -f1) ;
+out=$(echo $i | cut -d':' -f2) ;
+g=$(echo $in | cut -d'/' -f1) ;
+a=$(echo $in | cut -d'/' -f2) ;
+v=$(echo $in | cut -d'/' -f3) ;
+g2=$(echo $out | cut -d'/' -f1) ;
+a2=$(echo $out | cut -d'/' -f2) ;
+v2=$(echo $out | cut -d'/' -f3) ;
+file="resolv_safe/$g=$a=$v" ;
+if [ ! -e $file ] ; then echo "nothing to do for $in" ; continue ; fi ;
+echo "$g:$a:$v --> $g2:$a2:$v2" ;
+for pom in $(cat $file) ; do
+ echo -n " $pom " ;
+ if [ $g != $g2 ] ; then
+ echo -n " [change group]" ;
+ sed -i~ -e "s/<groupId>$g<\/groupId>/<groupId>$g2<\/groupId>/" $pom ;
+ fi ;
+ if [ $v != $v2 ] ; then
+ sed -i -r -e "s/version>$v(.*)/version>$v2\1/" $pom ;
+ echo -n " [change v]" ;
+ fi ;
+ grep $pom nuiton-modify-poms.list 1>/dev/null ;
+ if [ $? -gt 0 ] ; then
+ echo $pom >> nuiton-modify-poms.list ;
+ fi;
+ echo "" ;
+done ;
+echo "" ;
+done
+sort -d nuiton-modify-poms.list > nuiton-modify-poms.list2
+mv nuiton-modify-poms.list2 nuiton-modify-poms.list
+
+
Added: migration-thirdparty/bin/nuiton-svn-revert.sh
===================================================================
--- migration-thirdparty/bin/nuiton-svn-revert.sh (rev 0)
+++ migration-thirdparty/bin/nuiton-svn-revert.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,27 @@
+#!/bin/sh
+rm -fr modify.list
+touch modify.list
+for i in $(cat third-translations.list) ; do
+in=$(echo $i | cut -d':' -f1) ;
+out=$(echo $i | cut -d':' -f2) ;
+g=$(echo $in | cut -d'/' -f1) ;
+a=$(echo $in | cut -d'/' -f2) ;
+v=$(echo $in | cut -d'/' -f3) ;
+g2=$(echo $out | cut -d'/' -f1) ;
+a2=$(echo $out | cut -d'/' -f2) ;
+v2=$(echo $out | cut -d'/' -f3) ;
+file="resolv/$g=$a=$v" ;
+if [ ! -e $file ] ; then echo "nothing to do for $in" ; continue ; fi ;
+echo "$g:$a:$v --> $g2:$a2:$v2" ;
+for pom in `cat $file` ; do
+ grep $pom modify.list 1>/dev/null ;
+ if [ $? -eq 0 ] ; then continue ; fi ;
+ isModified=$(svn st $pom | wc -l) ;
+ if [ $isModified -eq 0 ] ; then continue; fi ;
+ echo -n " $pom < revert" ;
+ svn revert $pom 1>/dev/null ;
+ echo " >" ;
+done ;
+done
+rm modify.list
+
Added: migration-thirdparty/bin/obtain-nuiton-svn-repository.sh
===================================================================
--- migration-thirdparty/bin/obtain-nuiton-svn-repository.sh (rev 0)
+++ migration-thirdparty/bin/obtain-nuiton-svn-repository.sh 2009-08-19 17:01:54 UTC (rev 14)
@@ -0,0 +1,13 @@
+#!/bin/sh
+rm -rf svn
+ssh publish(a)nuiton.org '/opt/redmine-tools/display-projects.sh nuiton' | grep -v "eugengo" | grep -v "sandbox" > nuiton-all-projects.list
+
+for i in $(cat nuiton-all-projects.list) ; do
+ echo "recuperation $i/trunk -> svn/trunk/$i" ;
+ svn checkout http://svn.nuiton.org/svn/$i/trunk svn/trunk/$i 1> /dev/null ;
+ echo "recuperation $i/tags -> svn/tags/$i" ;
+ svn checkout http://svn.nuiton.org/svn/$i/tags svn/tags/$i 1> /dev/null ;
+done
+
+echo "mise en cache des poms"
+find -name "pom.xml" > nuiton-all-poms.list
Property changes on: migration-thirdparty/bin/obtain-nuiton-svn-repository.sh
___________________________________________________________________
Added: svn:executable
+ *
1
0